Page MenuHomePhabricator

Fatal error from page views with invalid titles (instead of "Bad title" message)
Closed, ResolvedPublic

Description

Error

Request URL: /wiki/Talk://///
Request ID: XSeQtQpAIC4AADoN3J4AAACR

message
Postcondition failed: makeTitleSafe() should always return a Title for the text returned by getRootText().
trace
#0 /srv/mediawiki/php-1.34.0-wmf.13/includes/Title.php(1797): Wikimedia\Assert\Assert::postcondition(boolean, string)
#1 /srv/mediawiki/php-1.34.0-wmf.13/extensions/Popups/includes/PopupsContext.php(161): Title->getRootTitle()
#2 /srv/mediawiki/php-1.34.0-wmf.13/extensions/Popups/includes/PopupsHooks.php(90): Popups\PopupsContext->isTitleBlacklisted(Title)
#3 /srv/mediawiki/php-1.34.0-wmf.13/includes/Hooks.php(174): Popups\PopupsHooks::onBeforePageDisplay(OutputPage, SkinVector)
#4 /srv/mediawiki/php-1.34.0-wmf.13/includes/Hooks.php(234): Hooks::callHook(string, array, array, NULL, string)
#5 /srv/mediawiki/php-1.34.0-wmf.13/includes/OutputPage.php(2577): Hooks::runWithoutAbort(string, array)
#6 /srv/mediawiki/php-1.34.0-wmf.13/includes/MediaWiki.php(891): OutputPage->output(boolean)
#7 /srv/mediawiki/php-1.34.0-wmf.13/includes/MediaWiki.php(903): Closure$MediaWiki::main()
#8 /srv/mediawiki/php-1.34.0-wmf.13/includes/MediaWiki.php(515): MediaWiki->main()
#9 /srv/mediawiki/php-1.34.0-wmf.13/index.php(42): MediaWiki->run()
#10 /srv/mediawiki/w/index.php(3): include(string)

Impact

  • More cache misses in Varnish, and potentially more false alerts/pages (50x instead of 40x or 20x).
  • Increase MW fatal levels, and potentially more alarms or aborted deployment as such.
  • Users no longer given informational warning about bad titles, but facing a generic system error page.

Notes

New regression in 1.34-wmf.13. See also T227700.

Event Timeline

Krinkle created this task.Jul 11 2019, 7:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 11 2019, 7:57 PM

Also similar exception from this url:

  • Request URL: /w/index.php?title=Diskussion://///&action=edit&redlink=1&section=new
  • Request ID: XSeQwgpAICAAAIEQ3eQAAABL

The referrer for this exception is https://de.wikipedia.org/wiki//////, which appears to be a valid page title that can be viewed without error, but points to a talk page that now throws a fatal error.

This comment was removed by Urbanecm.

Change 522622 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/core@master] When title contains only slashes, Title::getRootText() shouldn't return false

https://gerrit.wikimedia.org/r/522622

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJul 13 2019, 10:48 PM
Urbanecm triaged this task as Normal priority.Jul 14 2019, 12:28 PM

Change 522622 merged by jenkins-bot:
[mediawiki/core@master] When title contains only slashes, Title::getRootText() shouldn't return false

https://gerrit.wikimedia.org/r/522622

Change 522871 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/core@wmf/1.34.0-wmf.13] When title contains only slashes, Title::getRootText() shouldn't return false

https://gerrit.wikimedia.org/r/522871

I'll deploy the backport during tomorrow EU SWAT.

Change 522871 merged by jenkins-bot:
[mediawiki/core@wmf/1.34.0-wmf.13] When title contains only slashes, Title::getRootText() shouldn't return false

https://gerrit.wikimedia.org/r/522871

Mentioned in SAL (#wikimedia-operations) [2019-07-15T11:22:24Z] <urbanecm@deploy1001> Synchronized php-1.34.0-wmf.13/includes/Title.php: SWAT: [[:gerrit:522871|When title contains only slashes, Title::getRootText() shouldnt return false]] (T227816) (duration: 00m 51s)

Urbanecm closed this task as Resolved.Jul 15 2019, 11:26 AM

Should work now!